﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'NITE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_NITE')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_NITE on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_NITE] DEFAULT ((0)) FOR [NITE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'RETY' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_RETY')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_RETY on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_RETY] DEFAULT ((0)) FOR [RETY]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'WEEK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_WEEK')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_WEEK on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_WEEK] DEFAULT ((0)) FOR [WEEK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'PEND' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_PEND')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_PEND on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_PEND] DEFAULT ((0)) FOR [PEND]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'LIVE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_LIVE')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_LIVE on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_LIVE] DEFAULT ((0)) FOR [LIVE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'ABOR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_ABOR')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_ABOR on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_ABOR] DEFAULT ((0)) FOR [ABOR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS1')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS1 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS1] DEFAULT ((0)) FOR [DAYS1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS2')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS2 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS2] DEFAULT ((0)) FOR [DAYS2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS3')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS3 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS3] DEFAULT ((0)) FOR [DAYS3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS4')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS4 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS4] DEFAULT ((0)) FOR [DAYS4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS5')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS5 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS5] DEFAULT ((0)) FOR [DAYS5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS6')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS6 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS6] DEFAULT ((0)) FOR [DAYS6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'DAYS7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_DAYS7')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_DAYS7 on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_DAYS7] DEFAULT ((0)) FOR [DAYS7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NITMAS' AND COLUMN_NAME = 'TTYPE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_NITMAS_TTYPE')
BEGIN 
    PRINT 'Creating default constraint DF_NITMAS_TTYPE on table NITMAS' 
    ALTER TABLE [dbo].[NITMAS]
    ADD CONSTRAINT [DF_NITMAS_TTYPE] DEFAULT ((0)) FOR [TTYPE]
END 
GO

